Package com.io7m.idstore.shell.admin.internal

# Class IdAShortHumanTokenConverter

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAShortHumanTokenConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<IdShortHumanToken>`

public final class IdAShortHumanTokenConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<IdShortHumanToken>
A value converter for short human tokens.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAShortHumanTokenConverter()`
  A value converter for short human tokens.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<IdShortHumanToken>`
  `convertedClass()`
  `IdShortHumanToken`
  `convertFromString(String text)`
  `String`
  `convertToString(IdShortHumanToken value)`
  `IdShortHumanToken`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdAShortHumanTokenConverter

    public IdAShortHumanTokenConverter()
    A value converter for short human tokens.

- ## Method Details

  - ### convertFromString

    public IdShortHumanToken convertFromString(String text) throws com.io7m.quarrel.core.QException
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<IdShortHumanToken>`
    Throws:
      `com.io7m.quarrel.core.QException`

  - ### convertToString

    public String convertToString(IdShortHumanToken value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<IdShortHumanToken>`

  - ### exampleValue

    public IdShortHumanToken exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<IdShortHumanToken>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<IdShortHumanToken>`

  - ### convertedClass

    public Class<IdShortHumanToken> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<IdShortHumanToken>`